> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poozle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get link

> Get link details from linkId.
Used in public API calls.



## OpenAPI

````yaml GET /v1/link/{linkId}
openapi: 3.0.0
info:
  title: Poozle
  description: The poozle API description
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/link/{linkId}:
    get:
      tags:
        - Link
      description: |-
        Get link details from linkId.
        Used in public API calls.
      operationId: LinkController_getLink
      parameters:
        - name: linkId
          required: true
          in: path
          description: A unique identifier for the Link Object
          schema:
            type: string
        - name: accountIdentifier
          required: true
          in: query
          description: |-
            A unique identifier can be passed to identify a group of Accounts.
            Example: You can pass user_id or random hash.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LinkResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
components:
  schemas:
    LinkResponse:
      type: object
      properties:
        linkId:
          type: string
          description: A unique identifier for Link
        linkName:
          type: string
          description: |-
            Name of the link. Majorly used to easily search for this in UI
            Example: You can use customer name: Poozle
        canExpire:
          type: boolean
          description: Boolean to tell if the link can expire
        preferOAuth:
          type: boolean
          description: |-
            Boolean to tell if only OAuth should be accepted
            as authentication process
        expiresIn:
          type: number
          description: |-
            If canExpire is set to true. This indicates
            seconds in which the link will expire.
        category:
          description: |-
            Category integration belongs to
            Example: Ticketing, Documentation etc
          type: array
          items:
            type: object
        workspaceId:
          type: string
          description: Unique identifier for Workspace.
        createdAt:
          format: date-time
          type: string
          description: When the Link was created.
        updatedAt:
          format: date-time
          type: string
          description: When the Link was updated last.
        IntegrationAccount:
          description: Integration Accounts
          type: array
          items:
            $ref: '#/components/schemas/IntegrationAccount'
        expired:
          type: boolean
          description: Tells if the link is expired or not
        integrationAccounts:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationAccount'
        integrationDefinitions:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationDefinition'
      required:
        - linkId
        - linkName
        - canExpire
        - preferOAuth
        - expiresIn
        - category
        - workspaceId
        - createdAt
        - updatedAt
        - expired
    ApiException:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        status:
          type: string
        error:
          type: string
        errors:
          type: object
        timestamp:
          type: string
        path:
          type: string
    IntegrationAccount:
      type: object
      properties:
        integrationAccountId:
          type: string
          description: A unique identifier for Integration Account
        integrationDefinitionId:
          type: string
          description: A unique identifier for Integration Definition
        integrationConfiguration:
          type: object
          nullable: true
          description: Configuration used to configure the integration
        authType:
          type: string
          description: |-
            Type of authentication used to create this account
            Exmaple: OAuth2, Api Key etc
        workspaceId:
          type: string
          description: A unique identifier for Workspace
        integrationAccountName:
          type: string
          description: |-
            This is used for User experience. You can pass a name
            to easily identify the account in UI
        deleted:
          format: date-time
          type: string
          nullable: true
          description: When this account is deleted. If deleted
        createdAt:
          format: date-time
          type: string
          description: When the integration account was created.
        updatedAt:
          format: date-time
          type: string
          description: When the integration account was updated last.
        linkId:
          type: string
          nullable: true
          description: This will be linkId of the link used to created this account
      required:
        - integrationAccountId
        - integrationDefinitionId
        - integrationConfiguration
        - authType
        - workspaceId
        - integrationAccountName
        - deleted
        - createdAt
        - updatedAt
    IntegrationDefinition:
      type: object
      properties:
        integrationDefinitionId:
          type: string
          description: A unique identifier for Integration Definition
        name:
          type: string
          description: Name of the integration
        key:
          type: string
          description: A unique identifier in text used to identify Integration
        icon:
          type: string
          nullable: true
          description: Icon for the integration
        version:
          type: string
          description: Current version of the integration
        releaseStage:
          type: object
          description: |-
            This tells the status of the integration.
            If Alpha most features will be working but can expect some issues.
        sourceUrl:
          type: string
          description: This is the URL where the compiled source code of integration
        integrationType:
          type: object
          description: |-
            Category integration belongs to
            Example: Ticketing, Documentation etc
        workspaceId:
          type: string
          nullable: true
          description: A unique identifier for Workspace
        deleted:
          format: date-time
          type: string
          nullable: true
          description: When this account is deleted. If deleted
        createdAt:
          format: date-time
          type: string
          description: When the integration account was created.
        updatedAt:
          format: date-time
          type: string
          description: When the integration account was updated last.
      required:
        - integrationDefinitionId
        - name
        - key
        - icon
        - version
        - releaseStage
        - sourceUrl
        - integrationType
        - workspaceId
        - deleted
        - createdAt
        - updatedAt

````